平台需求

平台支持

请参考 EasyAR Sense 平台要求 以及 Unity System requirements

关于 Android arm64-v8a

  • Unity使用的mono脚本后台不支持Android arm64-v8a。如果需要使用应开启IL2CPP。

关于 iOS armv7

  • EasyAR Sense 从3.0版本开始终止了对iOS armv7的支持。在库文件中存在空的代码层以确保 XCode 工程始终可以构建,但如果编译时只选择了armv7运行后功能将无法使用。

Unity兼容性

EasyAR Sense Unity Plugin支持Unity 5.6.5f1及以后版本的Unity。

EasyAR Sense通常不会依赖很多变化的UnityAPI,所以如果Unity发布了新版本,EasyAR Sense Unity Plugin一般都可以正常使用。

样例可能会比插件本身使用一些更多的 Unity 特性,因此如果在一些新的Unity版本中发现兼容性问题,可以尝试先去除 samples代码。另外由于插件代码开源,如果Unity新版本出现了打破兼容性的改动,你也可以在得到官方修复前自行解决兼容性问题。

Graphics API

从EasyAR Sense 3.0开始,EasyAR Sense Unity Plugin 直接使用Unity的渲染管线,所有Unity中可以使用的图形API都可以天然被支持。

特例:由于EasyAR Sense的内部实现,录屏功能将只能在某些特定条件下工作,即在Android上Graphics API是OpenGLES2或OpenGLES3的情况以及在iOS上Graphics API是OpenGLES2的情况。

Scriptable Render Pipeline

Unity的 Scriptable Render Pipeline 允许你在C#脚本中控制渲染。EasyAR Sense Unity Plugin默认不支持Unity Universal Render Pipeline (URP) (某些版本中的 Lightweight Render Pipeline (LWRP)) 以及 High Definition Render Pipeline (HDRP)。我们计划在今后的版本中添加对这些管线的支持。

在官方支持发布前,你可以通过扩展EasyAR Sense Unity Plugin的脚本来支持URP和HDRP。所有的渲染API调用都组织在CameraImageRenderer脚本组件中。你可以扩展这个脚本并修改一些shader来支持URP和HDRP。

Unity自身的限制

关于 Android arm64-v8a

  • Unity使用的mono脚本后台不支持Android arm64-v8a。如果需要使用应开启IL2CPP。

Mono 脚本后端支持

  • iOS: 不支持(由于Unity不支持64位Mono backend)

  • Android: 支持(仅armv7)

IL2CPP 脚本后端支持

  • iOS: 支持

  • Android: 支持